> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available BINs



## OpenAPI

````yaml GET /bins
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /bins:
    get:
      tags:
        - Card BINs
      summary: List available BINs
      operationId: listAvailableBins
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: array
                    items:
                      allOf:
                        - $ref: '#/components/schemas/CardBin'
                        - type: object
                          properties:
                            auth_requirement:
                              type: object
                              properties:
                                level:
                                  type: string
                                  description: 'base: basic, advanced: advanced'
                                fields:
                                  type: array
                                  items:
                                    type: string
                                  description: Field requirements
                              required:
                                - level
                                - fields
                              description: B2C verification fields
                          required:
                            - auth_requirement
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  - id: 533
                    bin: '111111'
                    type: share
                    name: '111111'
                    network: VISA
                    country: US
                    avs: 0
                    3ds: 0
                    day_purchase_limit: 300000
                    single_purchase_limit: 300000
                    lifetime_purchase_limit: 300000
                    maintain: false
                    weigh: 0
                    status: true
                    api: true
                    physical: 0
                    foreign_fee_config:
                      0-500:
                        fee: 0.4
                        fee_rate: 0.1
                        extra_fee: 0.2
                        extra_fee_rate: 0.02
                    currency: USD
                    auth_fee_config: null
                    refund_fee_config: null
                    reversal_fee_config: null
                    apple_pay: 0
                    google_wallet: 0
                    card_nums: 0
                    cashback_fee_config: []
                    is_card_count_limited: 0
                    business_mode:
                      - B2B
                    auth_level: 1
                    create_amount: 9
                    card_depost_fee: 0.01
                    allow_create: true
                    allow_in: true
                    allow_out: true
                    allow_suspend: true
                    allow_enable: true
                    allow_frozen: true
                    allow_unfrozen: true
                    allow_destory: true
                    create_min_amount: 1
                    create_max_amount: 30
                    recharge_min_amount: 1
                    recharge_max_amount: 30
                    withdraw_min_amount: 1
                    withdraw_max_amount: 30
                    refuse_times: 5
                    refuse_rate: 20
                    scenes:
                      - Google
                      - Facebook
                    auth_requirement:
                      level: base
                      fields:
                        - field: idType
                          required: true
                          desc: 'ID document type: passport'
                        - field: idFrontAttachmentKey
                          required: true
                          desc: Passport (the key returned by Upload image)
                        - field: selfieAttachmentKey
                          required: false
                          desc: >-
                            Selfie (required for advanced verification; the key
                            returned by Upload image)
                  - id: 534
                    bin: '367218'
                    type: share
                    name: '367218'
                    network: Discover
                    country: US
                    avs: 0
                    3ds: 0
                    day_purchase_limit: 300000
                    single_purchase_limit: 300000
                    lifetime_purchase_limit: 300000
                    maintain: false
                    weigh: 0
                    status: true
                    api: true
                    physical: 0
                    foreign_fee_config:
                      0-500:
                        fee: 0.2
                        fee_rate: 0.05
                        extra_fee: 0.1
                        extra_fee_rate: 0.03
                    currency: USD
                    auth_fee_config: null
                    refund_fee_config: null
                    reversal_fee_config: null
                    apple_pay: 0
                    google_wallet: 0
                    card_nums: 0
                    cashback_fee_config: []
                    is_card_count_limited: 0
                    business_mode:
                      - B2B
                    auth_level: 1
                    create_amount: 9
                    card_depost_fee: 0.01
                    allow_create: true
                    allow_in: true
                    allow_out: true
                    allow_suspend: true
                    allow_enable: true
                    allow_frozen: true
                    allow_unfrozen: true
                    allow_destory: true
                    create_min_amount: 0
                    create_max_amount: 0
                    recharge_min_amount: 0
                    recharge_max_amount: 0
                    withdraw_min_amount: 0
                    withdraw_max_amount: 0
                    refuse_times: 5
                    refuse_rate: 20
                    scenes: []
                    auth_requirement:
                      level: base
                      fields:
                        - field: idType
                          required: true
                          desc: 'ID document type: passport'
                        - field: idFrontAttachmentKey
                          required: true
                          desc: Passport (the key returned by Upload image)
                        - field: selfieAttachmentKey
                          required: false
                          desc: >-
                            Selfie (required for advanced verification; the key
                            returned by Upload image)
                  - id: 572
                    bin: '49387520'
                    type: PrepaidCard
                    name: '49387520'
                    network: VISA
                    country: US
                    avs: 0
                    3ds: 1
                    day_purchase_limit: 0
                    single_purchase_limit: 0
                    lifetime_purchase_limit: 1000000
                    maintain: false
                    weigh: 0
                    status: true
                    api: true
                    physical: 0
                    foreign_fee_config:
                      0-500:
                        fee: 0.2
                        fee_rate: 0.05
                        extra_fee: 0.2
                        extra_fee_rate: 0.02
                    currency: USD
                    auth_fee_config: null
                    refund_fee_config: null
                    reversal_fee_config: null
                    apple_pay: 0
                    google_wallet: 0
                    card_nums: 0
                    cashback_fee_config: []
                    is_card_count_limited: 1
                    business_mode:
                      - B2B
                      - B2C
                    auth_level: 2
                    create_amount: 9
                    card_depost_fee: 0.01
                    allow_create: true
                    allow_in: true
                    allow_out: true
                    allow_suspend: true
                    allow_enable: true
                    allow_frozen: true
                    allow_unfrozen: true
                    allow_destory: true
                    create_min_amount: 1
                    create_max_amount: 30
                    recharge_min_amount: 1
                    recharge_max_amount: 30
                    withdraw_min_amount: 1
                    withdraw_max_amount: 30
                    refuse_times: 5
                    refuse_rate: 20
                    scenes: []
                    auth_requirement:
                      level: advanced
                      fields:
                        - field: idType
                          required: true
                          desc: 'ID document type: passport'
                        - field: idFrontAttachmentKey
                          required: true
                          desc: Passport (the key returned by Upload image)
                        - field: selfieAttachmentKey
                          required: true
                          desc: >-
                            Selfie (required for advanced verification; the key
                            returned by Upload image)
                  - id: 574
                    bin: '517746'
                    type: PrepaidCard
                    name: '517746'
                    network: MasterCard
                    country: US
                    avs: 1
                    3ds: 0
                    day_purchase_limit: 0
                    single_purchase_limit: 0
                    lifetime_purchase_limit: 1000000
                    maintain: false
                    weigh: 0
                    status: true
                    api: true
                    physical: 0
                    foreign_fee_config:
                      0-500:
                        fee: 0.2
                        fee_rate: 0.05
                        extra_fee: 0.2
                        extra_fee_rate: 0.02
                    currency: USD
                    auth_fee_config: null
                    refund_fee_config: null
                    reversal_fee_config: null
                    apple_pay: 0
                    google_wallet: 0
                    card_nums: 0
                    cashback_fee_config: []
                    is_card_count_limited: 1
                    business_mode:
                      - B2B
                      - B2C
                    auth_level: 2
                    create_amount: 10
                    card_depost_fee: 0.01
                    allow_create: true
                    allow_in: true
                    allow_out: true
                    allow_suspend: true
                    allow_enable: true
                    allow_frozen: true
                    allow_unfrozen: true
                    allow_destory: true
                    create_min_amount: 1
                    create_max_amount: 30
                    recharge_min_amount: 1
                    recharge_max_amount: 30
                    withdraw_min_amount: 1
                    withdraw_max_amount: 30
                    refuse_times: 5
                    refuse_rate: 20
                    scenes: []
                    auth_requirement:
                      level: advanced
                      fields:
                        - field: idType
                          required: true
                          desc: 'ID document type: passport'
                        - field: idFrontAttachmentKey
                          required: true
                          desc: Passport (the key returned by Upload image)
                        - field: selfieAttachmentKey
                          required: true
                          desc: >-
                            Selfie (required for advanced verification; the key
                            returned by Upload image)
                  - id: 575
                    bin: '537100'
                    type: PrepaidCard
                    name: '537100'
                    network: MasterCard
                    country: US
                    avs: 1
                    3ds: 1
                    day_purchase_limit: 0
                    single_purchase_limit: 0
                    lifetime_purchase_limit: 1000000
                    maintain: false
                    weigh: 0
                    status: true
                    api: true
                    physical: 0
                    foreign_fee_config:
                      0-500:
                        fee: 0.2
                        fee_rate: 0.05
                        extra_fee: 0.2
                        extra_fee_rate: 0.02
                    currency: USD
                    auth_fee_config: null
                    refund_fee_config: null
                    reversal_fee_config: null
                    apple_pay: 0
                    google_wallet: 0
                    card_nums: 0
                    cashback_fee_config: []
                    is_card_count_limited: 1
                    business_mode:
                      - B2B
                      - B2C
                    auth_level: 2
                    create_amount: 10
                    card_depost_fee: 0.01
                    allow_create: true
                    allow_in: true
                    allow_out: true
                    allow_suspend: true
                    allow_enable: true
                    allow_frozen: true
                    allow_unfrozen: true
                    allow_destory: true
                    create_min_amount: 1
                    create_max_amount: 30
                    recharge_min_amount: 1
                    recharge_max_amount: 30
                    withdraw_min_amount: 1
                    withdraw_max_amount: 30
                    refuse_times: 5
                    refuse_rate: 20
                    scenes: []
                    auth_requirement:
                      level: advanced
                      fields:
                        - field: idType
                          required: true
                          desc: 'ID document type: passport'
                        - field: idFrontAttachmentKey
                          required: true
                          desc: Passport (the key returned by Upload image)
                        - field: selfieAttachmentKey
                          required: true
                          desc: >-
                            Selfie (required for advanced verification; the key
                            returned by Upload image)
                  - id: 601
                    bin: '49372410'
                    type: share
                    name: '49372410'
                    network: Visa
                    country: SG
                    avs: 0
                    3ds: 1
                    day_purchase_limit: 250000
                    single_purchase_limit: 10000
                    lifetime_purchase_limit: 1000000
                    maintain: false
                    weigh: 0
                    status: true
                    api: true
                    physical: 0
                    foreign_fee_config:
                      0-500:
                        fee: 0.2
                        fee_rate: 0.05
                        extra_fee: 0.1
                        extra_fee_rate: 0.03
                    currency: USD
                    auth_fee_config: null
                    refund_fee_config: null
                    reversal_fee_config: null
                    apple_pay: 0
                    google_wallet: 0
                    card_nums: 8
                    cashback_fee_config: []
                    is_card_count_limited: 1
                    business_mode:
                      - B2B
                      - B2C
                    auth_level: 1
                    create_amount: 10
                    card_depost_fee: 0.01
                    allow_create: true
                    allow_in: true
                    allow_out: true
                    allow_suspend: true
                    allow_enable: true
                    allow_frozen: true
                    allow_unfrozen: true
                    allow_destory: true
                    create_min_amount: 0
                    create_max_amount: 0
                    recharge_min_amount: 0
                    recharge_max_amount: 0
                    withdraw_min_amount: 0
                    withdraw_max_amount: 0
                    refuse_times: 5
                    refuse_rate: 20
                    scenes: []
                    auth_requirement:
                      level: base
                      fields:
                        - field: idType
                          required: true
                          desc: 'ID document type: passport'
                        - field: idFrontAttachmentKey
                          required: true
                          desc: Passport (the key returned by Upload image)
                        - field: selfieAttachmentKey
                          required: false
                          desc: >-
                            Selfie (required for advanced verification; the key
                            returned by Upload image)
                  - id: 602
                    bin: '111112'
                    type: share
                    name: Nadcab Visa
                    network: VISA
                    country: US
                    avs: 0
                    3ds: 0
                    day_purchase_limit: 300000
                    single_purchase_limit: 300000
                    lifetime_purchase_limit: 300000
                    maintain: false
                    weigh: 0
                    status: true
                    api: true
                    physical: 0
                    foreign_fee_config:
                      0-500:
                        fee: 0.4
                        fee_rate: 0.1
                        extra_fee: 0.2
                        extra_fee_rate: 0.02
                    currency: USD
                    auth_fee_config: null
                    refund_fee_config: null
                    reversal_fee_config: null
                    apple_pay: 0
                    google_wallet: 0
                    card_nums: 0
                    cashback_fee_config: []
                    is_card_count_limited: 1
                    business_mode:
                      - B2C
                    auth_level: 1
                    create_amount: 10
                    card_depost_fee: 0.01
                    allow_create: true
                    allow_in: true
                    allow_out: true
                    allow_suspend: true
                    allow_enable: true
                    allow_frozen: true
                    allow_unfrozen: true
                    allow_destory: true
                    create_min_amount: 1
                    create_max_amount: 30
                    recharge_min_amount: 1
                    recharge_max_amount: 30
                    withdraw_min_amount: 1
                    withdraw_max_amount: 30
                    refuse_times: 5
                    refuse_rate: 20
                    scenes: []
                    auth_requirement:
                      level: base
                      fields:
                        - field: idType
                          required: true
                          desc: 'ID document type: passport'
                        - field: idFrontAttachmentKey
                          required: true
                          desc: Passport (the key returned by Upload image)
                        - field: selfieAttachmentKey
                          required: false
                          desc: >-
                            Selfie (required for advanced verification; the key
                            returned by Upload image)
components:
  schemas:
    CardBin:
      type: object
      properties:
        id:
          type: integer
          description: BIN ID
        bin:
          type: string
          description: Identifier
        type:
          type: string
          description: Card type
        name:
          type: string
          description: BIN name
        network:
          type: string
          description: Card network
        country:
          type: string
          description: Issuing region
        business_mode:
          type: array
          items:
            type: string
          description: >-
            BIN mode. B2B for businesses, B2C for individuals (B2C requires a
            passport)
        is_card_count_limited:
          type: integer
          description: 'Card count limit. 0: no limit, 1: limited'
        avs:
          type: integer
          description: AVS supported
        3ds:
          type: integer
          description: 3DS supported
        day_purchase_limit:
          type: string
          description: Daily spending limit
        single_purchase_limit:
          type: string
          description: Per-transaction spending limit
        lifetime_purchase_limit:
          type: string
          description: Lifetime spending limit
        maintain:
          type: boolean
          description: Under maintenance
        weigh:
          type: integer
          description: Weight
        status:
          type: integer
          description: Status
        create_amount:
          type: string
          description: Card issuing price
        card_depost_fee:
          type: string
          description: Top-up fee rate
        allow_create:
          type: integer
          description: Card issuing allowed
        allow_in:
          type: integer
          description: Top-ups allowed
        allow_out:
          type: integer
          description: Withdrawals allowed
        allow_suspend:
          type: boolean
          description: Card freezing allowed
        allow_enable:
          type: boolean
          description: Card unfreezing allowed
        allow_frozen:
          type: boolean
          description: Freezing card balance allowed
        allow_unfrozen:
          type: boolean
          description: Unfreezing card balance allowed
        allow_destory:
          type: integer
          description: Card closing allowed
        create_min_amount:
          type: number
          description: Minimum initial top-up
        create_max_amount:
          type: number
          description: Maximum initial top-up
        recharge_min_amount:
          type: number
          description: Minimum top-up
        recharge_max_amount:
          type: number
          description: Maximum top-up
        withdraw_min_amount:
          type: number
          description: Minimum withdrawal
        withdraw_max_amount:
          type: number
          description: Maximum withdrawal
        physical:
          type: string
          description: 'Physical card (0: no, 1: yes)'
        refuse_times:
          type: integer
          description: Chargeback count threshold for closing a card
        refuse_rate:
          type: number
          description: Chargeback rate threshold for closing a card
        currency:
          type: string
          description: Currency
        scenes:
          type: array
          items:
            type: string
          description: Supported platforms
      required:
        - id
        - bin
        - type
        - name
        - network
        - country
        - avs
        - 3ds
        - day_purchase_limit
        - single_purchase_limit
        - lifetime_purchase_limit
        - maintain
        - weigh
        - status
        - create_amount
        - card_depost_fee
        - allow_create
        - allow_in
        - allow_out
        - allow_destory
        - create_min_amount
        - create_max_amount
        - recharge_min_amount
        - recharge_max_amount
        - withdraw_min_amount
        - withdraw_max_amount
        - scenes
        - allow_enable
        - allow_frozen
        - allow_unfrozen
        - allow_suspend
        - physical
        - refuse_times
        - refuse_rate
        - currency
        - business_mode
        - is_card_count_limited
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````